Remove user names from some notification messages in favor of secondary link
Closed, ResolvedPublic

Description

For some notifications, we'd like to remove the user name of the agent from the notification text, because the agent's identity doesn't need to be emphasized. The secondary link with the agent's user name (T121737: Add secondary link for the agent to some notification types) still tells you who the agent is.

Types with a user name in the text that we'd like to remove:

  • reverted
  • ep-*
  • pagetriage-*
  • osm-*

Types with a user name in the text that we'd like to keep:

  • edit-user-talk
  • mention
  • emailuser
  • edit-thank
  • flow-thank

T121661: Clean up lego message in user-rights notification already takes care of user-rights. For Flow we want to make larger changes, so that's a separate task as well.

Catrope created this task.Dec 17 2015, 1:45 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a subscriber: Catrope.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 1:45 AM
MtDu claimed this task.Jan 27 2016, 4:09 AM
MtDu added a subscriber: MtDu.

I'll work on this.

MtDu added a comment.Jan 27 2016, 4:14 AM

@Catrope,
So to make sure I'm doing what is desired, this is the reverted stuff. https://dpaste.de/0TzT#L12,14,16. So what I'm doing is deleting the agent, and then modifying the en and qqq json files to reflect the changes in the messages. If this is wrong, let me know what I need to do.
Thanks,
MtDu

@Catrope,
So to make sure I'm doing what is desired, this is the reverted stuff. https://dpaste.de/0TzT#L12,14,16. So what I'm doing is deleting the agent, and then modifying the en and qqq json files to reflect the changes in the messages. If this is wrong, let me know what I need to do.
Thanks,
MtDu

Sorry for the late response, I was on vacation Jan 21-31 and at a conference Feb 1-5, and forgot to mark myself as away in Phabricator.

Your dpaste link has expired, so I can't see what you wrote there. Modifying en/qqq to remove the user name sounds right; not sure what you mean by "deleting the agent".

Catrope closed this task as Resolved.Mar 22 2016, 7:29 PM

This appears to have since been done in other patches.